Retrieve the application settings
curl --request GET \
--url https://api.hubapi.com/marketing/marketing-events/2026-03/{appId}/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/marketing-events/2026-03/{appId}/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/marketing-events/2026-03/{appId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appId": 123,
"eventDetailsUrl": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Settings
Retrieve the application settings
Retrieve the current settings for the application.
GET
/
marketing
/
marketing-events
/
2026-03
/
{appId}
/
settings
Retrieve the application settings
Supported products
Supported products
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The id of the application to retrieve the settings for.
Last modified on March 31, 2026
Was this page helpful?
⌘I